org.apache.ignite.internal.binary

## Class BinaryWriterHandles

- java.lang.Object
- - org.apache.ignite.internal.binary.BinaryWriterHandles

    public class BinaryWriterHandles
    extends Object

Writer handles. Aimed to delay hash map allocation for some time until it is clearly evident that it is needed.

### Field Summary

Fields
`static int` `POS_NULL` Value denoting null position.

### Constructor Summary

Constructors
Constructor and Description
`BinaryWriterHandles()`

### Method Summary

Methods
`int` `put(Object obj, int pos)` Put object to registry and return previous position (if any).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### POS_NULL

    public static final int POS_NULL

Value denoting null position.

See Also:
  Constant Field Values

### Constructor Detail

#### BinaryWriterHandles

    public BinaryWriterHandles()

### Method Detail

#### put

    public int put(Object obj,
          int pos)

Put object to registry and return previous position (if any).

Parameters:
  `obj` - Object.
  `pos` - Position.
Returns:
  Old position.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016